problem with eric

Pradnyesh Sawant spradnyesh at gmail.com
Fri Oct 19 05:21:55 CEST 2007


Hello,
I have the following single line in my .py file:

from PyQt4 import QtCore, QtGui

if i run it from eric, i get the following error:

unhandled RuntimeError
"the PyQt4.QtCore and qt modules both wrap the QObject class"

i think that eric is probably trying to load both Qt3 and Qt4, but i don't 
understand why (i'm explicitly mentioning PyQt4). How do i tell eric to use 
just Qt4, and not Qt3?

ps: i have made both Qt and Qt4 Directory to contain /usr/share/qt4, in 
preferences->qt. but that too does not help.
-- 
warm regards,
Pradnyesh Sawant
--
Computers are to make people happy, not people to make computers happy.
--Gerald Jay Sussman, MIT



More information about the Python-list mailing list